;
; This is a sample netmail template to use with the internal
; netmail generator.
;
; Abschnitte:
;
; @desc@        Dieser Abschnitt ist fr Header und Footer der Statistik, also
;               allgemeine Beschreibungen mit _taskunabhngigen_ Makros (z.B.
;               @statdate@) gedacht. Die taskabhngigen Makros enthalten hier
;               keine relevanten Werte.
; @data@        Block mit taskabhngigen Daten, der fr Gesamtstatistik
;               (alle Lines) und alle Einzelstatistiken (jede Line einzeln)
;               durchlaufen wird. Nur hier machen taskabhngige Makros
;               (z.B. @count_i@) Sinn.
;
; Macros:
; ~~~~~~~
; @fsname@      Vorname des Sysops
; @lsname@      Nachname des Sysops
; @sname@       Voller Name des Sysops
; @frname@      Vorname des aktuellen Adressaten
; @lrname@      Nachname des aktuellen Adressaten
; @rname@       Voller Name des aktuellen Adressaten
; @saka@        Die AKA des Sysops
; @raka@        Die AKA des Adressaten (nur bei Netmail-Report)
; @task@        aktuelle Line
; @statdate@    Datum der Statistik
; @pid@         Programmname und Version
; @date@        aktuelles Datum
; @time@        aktuelle Zeit
;
; @count_i@     Anzahl der eingehenden Anrufe
; @count_o@     Anzahl der ausgehenden Anrufe
; @count_u@     Anzahl der Online-User-Anrufe
; @time_i@      Gesamtzeit der eingehenden Anrufe
; @time_o@      Gesamtzeit der ausgehenden Anrufe
; @time_u@      Gesamtzeit der Online-User-Anrufe
; @avtime_i@    durchschnittliche Zeit der eingehenden Anrufe
; @avtime_o@    durchschnittliche Zeit der ausgehenden Anrufe
; @avtime_u@    durchschnittliche Zeit der Online-User-Anrufe
; @uoc_i@       Auslastung der eingehenden Anrufe
; @uoc_o@       Auslastung der ausgehenden Anrufe
; @uoc_u@       Auslastung der Online-User-Anrufe
; @part_u@      Anteil der Onlineuser am Inbound
; @cost_i@      Kosten der eingehenden Anrufe
; @cost_o@      Kosten der ausgehenden Anrufe
; @err_i@       Anzahl fehlerhafter Sessions bei eingehenden Anrufen
; @err_o@       Anzahl fehlerhafter Sessions bei ausgehenden Anrufen
; @noerr_i@     Anzahl fehlerfreier Sessions bei eingehenden Anrufen
; @noerr_o@     Anzahl fehlerfreier Sessions bei ausgehenden Anrufen
; @err%_i@      Fehleranteil bei eingehenden Anrufen
; @err%_o@      Fehleranteil bei ausgehenden Anrufen
; @fcount_i@    Anzahl empfangener Dateien
; @fcount_o@    Anzahl gesendeter Dateien
; @fsize_i@     Dateigre empfangener Dateien
; @fsize_o@     Dateigre gesendeter Dateien
; @ffsize_i@    Dateigre empfangener Dateien (formatiert)
; @ffsize_o@    Dateigre gesendeter Dateien (formatiert)
; @fcps_i@      durchschnittliche CPS-Rate bei empfangenen Dateien
; @fcps_o@      durchschnittliche CPS-Rate bei gesendeten Dateien
;
; Header der Statistik, wird einmalig ausgegeben (optional)
;
@desc@LOGFILE-STATISTIK vom @statdate@:
@desc@=================================
@desc@
;
; Beginn des eigentlichen Datenblocks
;
; Bei Multiline wird dieser Block zunchst fr die Gesamtstatistik
; (z.B. Line 1-3) und danach jeweils nochmal fr jede Line (1,2,3)
; einzeln ausgegeben.
; Wichtig: Auch bei MULTILINE NEIN oder DETAILED_STAT NEIN mu dieser
; Block verwendet werden, auch wenn er dann nur einmal ausgegeben wird!
;
@data@Line @task@:
@data@---------
@data@                     Inbound (Online-User)    Outbound
@data@Anzahl der Anrufe      @count_i,4,R@      (@count_u,4,R@)         @count_o,4,R@
@data@Gesamtzeit           @time_i@  (@time_u@)     @time_o@
@data@Zeit je Anruf        @avtime_i@  (@avtime_u@)     @avtime_o@
@data@Auslastung             @uoc_i,4,R@%     (@uoc_u,4,R@%)        @uoc_o,4,R@%
@data@
@data@Anteil der Onlineuser am Inbound: @part_u@%
@data@
@data@                       Inbound    Outbound
@data@Kosten                 @cost_i,6,R@     @cost_o,6,R@
@data@Fehleranzahl          @err_i,6,R@     @err_o,6,R@
@data@fehlerfreie Sessions  @noerr_i,6,R@     @noerr_o,6,R@
@data@Fehleranteil          @err%_i,6,R@%    @err%_o,6,R@%
@data@
@data@                         Gesendet      Empfangen
@data@Dateianzahl               @fcount_o,5,R@          @fcount_i,5,R@
@data@Dateigre             @fsize_o,10,R@     @fsize_i,10,R@ ;unformatiert
@data@Dateigre          @ffsize_o,13,R@  @ffsize_i,13,R@ ;formatiert
@data@Durchschn. CPS-Rate        @fcps_o,5,R@          @fcps_i,5,R@
@data@
;
; Footer der Statistik, wird einmalig ausgegeben (optional)
;
@desc@Erstellt von @pid@.
;
; EOF
